compiled phalcon.so for cPanel

I compiled latest version of phalcon.so for cPanel if anyone needs. I'll keep it up to date.

It should work on any cPanel shared hosting as long you can edit php.ini and php >= 5.4

Compiled for php 5.4, 5.5, 5.6 with centos 6.6 kernel 2.6.32-504.23.4.el6.x86_64

Tested on arvixe.com and premiumreseller.com

https://github.com/magnxpyr/phalcon.so



5.7k

@Stefan, thanks a lot. This is very helpful. I was using an old version as I hadn't been able to setup a VM to compile the latest. There would be so many like me. It would great if you can maintain these in future. Thanks again.

No problem. I'm glad it works and it helps people. I have a VM with phpbrew installed; so compiling 3 versions and pushing them on git it only takes me 10 minutes. I intend to keep them updated.

updated to 2.0.4

updated to 2.0.6

Like promised, will be kept up to date. Phalcon 2.0.5 I had it compiled since day 1, but I was too busy and keept postponing the git update. If anyone need the latest version and I forget to update for some reason, just give me a heads up and I'll do it right away.



562

Hi Stefan. Can you update with a centos7 + Phalcon3 + php7 version? Would be great.

Sure. No problem. I'll try to do it tonight, but I can't promise anything since I need time to setup a new vagrant box for that

Hi Stefan. Can you update with a centos7 + Phalcon3 + php7 version? Would be great.

added

https://github.com/magnxpyr/phalcon.so/releases/download/phalcon3.0/phalconphp7cos7.so

Hi Stefan. Can you update with a centos7 + Phalcon3 + php7 version? Would be great.



562

Thanks! fast!

edited Nov '16

Can we have this updated for the latest CentOS7 and PHP7?

CentOS 7.2 Apache 2.4.23 PHP 7.0.13

it is already on the latest version. Minor versions of Apache or PHP should not affect the functionality of the extension

Interesting. The extension doesn't seem to want to load for me, but then again, virtualhost includes don't seem to be working either.